﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Senlan.VersionApp.Models
{
    public class Result
    {
        public bool Succeed { get; set; }

        public object? Data { get; set; }

        public string Error { get; set; } = string.Empty;

        public Result()
        {

        }
        public Result(bool succeed)
        {
            Succeed = succeed;
        }
        public Result(string error)
        {
            Error = error;
        }
        public Result(object data, bool succeed = true)
        {
            Succeed = succeed;
            Data = data;
        }

    }
}
